Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Query Group Mute Exceptions

Retrieve the list of users exempted from the group-wide mute in a specified group.

Request Method

POST: https://data center domain/group/user/ban/whitelist/query.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must be validated according to the API Request Signature rules.

Body Parameters

The HTTP request body may include the following form parameters:

ParameterTypeRequiredDescription
groupIdStringYesThe group ID.

Request Example

POST /group/user/ban/whitelist/query.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

groupId=16

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeNumberReturn code, 200 means success.
userIdsString[]User IDs.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200,"userIds":["2111","2582"]}